Subject: Questions about RFC 7252

From: "KELLY, MICHAEL B CTR USAF AFMC 412 TENG/ENI" <[email-masked]>
Date: Tue, 28 Nov 2017 17:53:06 +0000

Greetings,

I am searching for a place to ask questions about RFC 7252, The Constrained Application Protocol (CoAP).
If this is sufficient information for you to delete this email or take some action please stop here.

If you are interested details follow.

My questions begin rather early in the document.  For example, section 2.1 shows a transaction schematic with the text 
CON [0x7d34] 
and the text 
ACK [0x7d34]

I "presume" that means a confirmable message followed by an acknowledgement message.  The RFC does not provide / confirm that information.
I see the hex number 0x7d34 but do not understand its significance.  If I try to put that number into a message and examine the individual fields as shown in Figure 5, I wind up with an invalid message.  

Taking hex value 0x7D34 puts binary 01 into the Version field, that is oK.  Then a binary 011 into the Type field for a Reset command.  
That leaves 0Xd or binary 1101 in the TKL field.  But lengths 9-15 (decimal I presume per the RFC) are reserved so that will not work.

Additional reading leads me to presume that this might be a message ID.  However, the document  neither states that clearly not does it describe how the message ID is created.

Obviously there are some things about this RFC that I do not understand.  Where might I go to post my questions such that there is a possibility that someone may answer them?

Thank you for your time,
M Bryan Kelly
JT3/ATAC Contractor
412 TENG/ENIE CANIS Software
661-277-7852
DSN 527-7852
Blg 1600 Block 500
300 E. Yeager Blvd
Edwards AFB, 93524

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 30 Nov 2017 17:13:45 -0600

Hi Bryan,

> If this is sufficient information for you to delete this email or take some action please stop here.

RFC 7252 is a product of the Constrained RESTful Environments (core)
working group (https://datatracker.ietf.org/wg/core/about/).  Its
mailing list, [email-masked], is still active, so if you do not get
any replies to this posting, that would be a good place to try.

-Ben